Subject: bug#79348: 30.2; Left and right mouse buttons do not work in Emacs 30 on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Aug 2025 08:34:15 +0300

[Please use "Reply to All" to reply, to keep the bug tracker on the CC list.]

> From: Alex <[email-masked]>
> Date: Sun, 31 Aug 2025 05:37:28 +0300
> 
> My mouse is Redragon Foxbat
> 
> When I run “emacs -Q” in the bin folder and then press ‘ctrl-h c’ and the
> left or right mouse button, after pressing the left or right mouse button
> wherever in the toolbar or in a buffer, nothing happens.

And if you press "C-h l" (that's the letter ell, not the digit one)
after pressing the mouse on the tool bar, what does Emacs show in the
*Help* buffer it pops up?

> After switching to the fundamental mode (M-x fundamental-mode) the
> situation is the same.
> 
> When I hover on clickable elements wherever tooltips feedback appears.
> 
> The wheel and middle button (wheel) pressing work as expected.

So it sounds like Emacs doesn't get some of the mouse clicks in your
case?

What about dragging the scroll bar's thumb with the mouse-does that
work?

Maybe review the mouse settings to make sure nothing there prevents
these clicks from being reported to Emacs?

> M-x emacs-version says “GNU Emacs 30.2 (build 2, x86 64-w64-mingw32) of
> 2025-08-14”
> 
> I installed Emacs by just unpacking emacs-30.2.zip